Linux Mint Türkiye Forum

Linux Mint Destek => Donanım => Yazıcılar & Tarayıcılar => Konuyu başlatan: Fitilli Daniyal - 28 Şubat 2014, 21:51:58

Başlık: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 28 Şubat 2014, 21:51:58
Sistem yazıcıyı görüyor, hatta marka ve modeline kadar tanıyor. Ama driver'ını bile kurduğum halde çıktı alamıyorum. Windows'ta çok rahat çıktı veriyor. Sırf bu yazıcı yüzünden hala windows kullanmak zorundayım. Herhangi bir önerisi olan var mı?
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 28 Şubat 2014, 22:24:07
Aşağıdaki komutların çıktısını rica edelim.

Kod: [Seç]
lsusb
dpkg -l | grep cndrvcups
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 10:33:58
Kod: [Seç]
fitillidaniyal@fitillidaniyal-System-Product-Name ~ $ lsusb
Bus 001 Device 003: ID 0424:2228 Standard Microsystems Corp. 9-in-2 Card Reader
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 2571:0211 
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
fitillidaniyal@fitillidaniyal-System-Product-Name ~ $ dpkg -l | grep cndrvcups

Kodlar bu şekilde ikinci kod çıktı vermedi. "egrep" şeklinde yazarak denedim, yine çıktı vermedi.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 10:44:39
Buradan (http://www.canon-europe.com/Support/Consumer_Products/products/printers/Laser/i-SENSYS_LBP6020.aspx?DLtcmuri=tcm:13-1060371&page=1&type=download) Linux sürücüsünü indirip ve sağ tık ile çıkartın. Çıkarttığınız dizin için sistem mimarinize uygun (32bit - 64 bit) dizini açın. Bu dizin içindeki Debian dizininde 2 tane .deb paketi (cndrvcups-common_2.60-1_amd64.deb & cndrvcups-capt_2.60-1_amd64.deb) göreceksiniz. Bu paketlere sağ tıklayığ Gdebi ile kurmayı deneyin. Son komutun çıktı vermemesi bu paketlerin kurulmadığını gösteriyordu.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 10:46:47
Bu sistemi yeni kurdum çünkü. Önceden yapmıştım, tekrar yapıp buraya sonucu bildiririm.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 10:55:11
Sonuç yine hüsran. Kurdum, yazıcıyı tanıdı, ppd dosyasını da buldu. Yani her şey sorunsuz. Ama yine sınama sayfası yazdır dediğimde hiçbir tepki yok.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 11:04:41
Bu aygıt USB arabiriminden bağlı değil mi? Neden listelenmemiş?
Bu paketler sanırım 64 biti desteklemiyor. Bu sebeple 64 bit sistemlere kurulumda ia32-libs paketinin de kurulmuş olması gerekebilir.

Kod: [Seç]
sudo apt-get install ia32-libs
sudo apt-get install -f
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 11:14:03
Zaten kurulu sistemde o pakette. Yabancı forumlarda okuduğuma göre çalıştırabilenler varmış, ama deveye hendek atlatmak sanırım daha kolay.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 11:17:23
Ek olarak buradaki (http://ubuntuforums.org/showthread.php?t=1982917&p=11955525#post11955525) anlatımın sizin sürücünüze uyalanmışını aşağıya alıntılayım.

Aşağıdaki komutlar ile eksik olabilecek dizinleri oluşturunuz.

Kod: [Seç]
sudo mkdir /var/ccpd
sudo mkfifo /var/ccpd/fifo0
sudo mkdir /var/captmon

Yazıcınızın sürücüsünü kayıt ediniz.

Kod: [Seç]
sudo /usr/sbin/lpadmin -p LBP6020 -m CNCUPSLBP6020CAPTK.ppd -v ccp:/var/ccpd/fifo0 -E
Yazıcınızın sürücüsünü cppd sevisi için kayıt ediniz.

Kod: [Seç]
sudo /usr/sbin/ccpdadmin -p LBP6020 -o /dev/usb/lp0
ccpd servisini başlatınız.

Kod: [Seç]
sudo /etc/init.d/ccpd start
Aşağıdaki komutla test sayfası alamayı deneyiniz.

Kod: [Seç]
captstatusui -P LBP6020
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 11:27:20
(http://i.hizliresim.com/eyvEJy.png) (http://hizliresim.com/eyvEJy)

sonuç böyle bir kutucuk çıktı. 5 dakikadır da aynı. Yazıcıdan hala ses seda yok.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 11:34:58
Zaten kurulu sistemde o pakette. Yabancı forumlarda okuduğuma göre çalıştırabilenler varmış, ama deveye hendek atlatmak sanırım daha kolay.

O bağlantıları verirseniz inceleyip yorumlamaya çalışayım.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 11:38:13
http://ubuntuforums.org/showthread.php?t=2132589 (http://ubuntuforums.org/showthread.php?t=2132589) Burada okudum. Sonunda yine eleman hüsrana uğruyor gerçi ama arada birisi attığı iletide çalıştırabildiğini söylüyor  :) teşekkür ederim bu arada  :)
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 11:47:23
Aşağıdaki şekilde deneyelim.

Kod: [Seç]
sudo /usr/sbin/lpadmin -p LBP6020 -m CNCUPSLBP6020CAPTK.ppd -v ccp://localhost:59787 -E
Kod: [Seç]
sudo /usr/sbin/ccpdadmin -p LBP6020 -o /dev/usb/lp0
Servisi yeniden başlatalım.

Kod: [Seç]
sudo /etc/init.d/ccpd restart
Tekrar test sayfası almayı deneyelim.

Kod: [Seç]
captstatusui -P LBP6020
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 11:54:58
Yine aynı olmadı.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 12:08:41
Önce aşağıdaki komut ile kurduğunuz paketleri kaldırınız.

Kod: [Seç]
dpkg -r cndrvcups*
Aşağıdaki komut ile kaldırıldığından emin olunuz.

Kod: [Seç]
dpkg -l | grep cndrvcups
Aşağıdaki komutları sırasıyla uçbirimde çalıştırırak /usr/lib ve /usr/local/lib dizinleri için sembolik bağlantılar oluşturalım.

Kod: [Seç]
sudo ln -s /usr/lib /usr/lib64
sudo ln -s /usr/local/lib /usr/local/lib64

Sonra aşağıdaki komut ile libjpeg62 paketinin 32 bit sürümünü kurunuz.

Kod: [Seç]
sudo apt-get install libjpeg62:i386
Şimdi kaldırdığınız paketleri tekrar kurup bir önceki mesaj yazanları deneyiniz.


Kaynak (http://ubuntuforums.org/showthread.php?t=1427330&page=10&p=12089554#post12089554)
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 12:17:41
Şu an evden çıkmam gerekiyor. Akşam döndüğümde dediklerinizi yapıp buraya durumu yazarım. Tekrar çok teşekkür ederim  :)
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 18:46:02
Kod: [Seç]
sudo dpkg -r cndrvcups
dpkg: uyarı: ignoring request to remove cndrvcups which isn't installed

Daha ilk kod'da bu hatayı verdi. Bunu verince diğerlerini denemedim. Kaldıramıyor anladığım kadarıyla?
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 22:41:54
Önce aşağıdaki komut ile kurduğunuz paketleri kaldırınız.

Kod: [Seç]
dpkg -r cndrvcups*


Kod: [Seç]
sudo dpkg -r cndrvcups
dpkg: uyarı: ignoring request to remove cndrvcups which isn't installed

Daha ilk kod'da bu hatayı verdi. Bunu verince diğerlerini denemedim. Kaldıramıyor anladığım kadarıyla?


Komutun sonundaki * işaretini koymamışsıız.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 22:57:34
Kod: [Seç]
sudo dpkg -r cndrvcups*
[sudo] password for fitillidaniyal:
dpkg: error: --remove needs a valid package name but 'cndrvcups*' is not: illegal package name in specifier 'cndrvcups*': `*' karakteri kullanılamaz (sadece harfler, rakamlar ve `-+._' karakterleri)

Type dpkg --help for help about installing and deinstalling packages [*];
Use `dselect' or `aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through `less' or `more' !

Yine hata veriyor. Bunu da denemiştim. Sonundaki yıldızdan dolayı mı diye bir de öyle denemiştim o yüzden.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 23:06:22
Aşağıdaki komutu deneyelim lütfen.

Kod: [Seç]
sudo apt-get purge cndrvcups*
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 23:25:04
Yaptım her şeyi. Sonuç yine aynı test sayfasını yazdırmak isteyince bir kutu çıkıyor. "Wait a moment" yazısı sabit kalıyor, değişen bir şey yok.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 23:46:46
Buradaki (https://help.ubuntu.com/community/CanonCaptDrv190) rehbere istinaden şekilde bir daha dener misiniz?

Kod: [Seç]
sudo /etc/init.d/cups restart
sudo lpadmin -p LBP6020 -m CNCUPSLBP6020CAPTK.ppd -v ccp://localhost:59787 -E
sudo ccpdadmin -p LBP6020 -o /dev/usb/lp0
sudo /etc/init.d/cups restart

Birde aşağıdaki komutun çıktısını alalım.

Kod: [Seç]
sudo service ccpd status
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 01 Mart 2014, 23:55:26
Kod: [Seç]
/usr/sbin/ccpd: 11845 11844
 

Çıktı bu şekilde geldi.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 01 Mart 2014, 23:58:36
Kod: [Seç]
/usr/sbin/ccpd: 11845 11844
 

Çıktı bu şekilde geldi.

Sorun yok gibi, yazıcıyı kapatıp sistemi yeniden başlattıktan sonra tekrar dener misiniz?
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 02 Mart 2014, 00:03:42
Denedim. 3 sayfalık bir dosyayı yazdırmayı denedim. Yazdırılıyor... Yazdırıldı. Şeklinde pop-up'lar çıktı. Ama yazıcıda hala bir cacık yok.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 02 Mart 2014, 00:23:47
Aşağıdaki komutları sırasıyla uçbirimde çalıştırmayı dener misiniz?

Kod: [Seç]
sudo ln -s /usr/lib/libtiff.so.4 /usr/lib/libtiff.so.3
sudo ln -s /usr/lib/i386-linux-gnu/libtiff.so.4 /usr/lib/i386-linux-gnu/libtiff.so.3
sudo ln -s /usr/lib/x86_64-linux-gnu/libtiff.so.4 /usr/lib/x86_64-linux-gnu/libtiff.so.3
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 02 Mart 2014, 00:51:53
Sonuç yine aynı. Hiçbir hareket yok. Sanırım olmayacak bu iş  :-X
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 02 Mart 2014, 00:56:50
Aşağıdaki komut ile yazıcı ayarlarını açınız ve bu araç ile yazıcınızı yapılandırıp çıktı almayı deneyiniz. Çıktı almayı denerken uçbirimde alacağınız hata mesajını paylaşınız.

Kod: [Seç]
system-config-printer
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 02 Mart 2014, 01:04:15
Kod: [Seç]
system-config-printer

(system-config-printer.py:4553): Gtk-WARNING **: Theme directory actions/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory animations/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory apps/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory categories/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory devices/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory emblems/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory mimetypes/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory places/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory status/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory stock/16 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory actions/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory animations/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory apps/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory categories/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory devices/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory emblems/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory mimetypes/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory places/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory status/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory stock/22 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory animations/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory apps/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory categories/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory devices/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory emblems/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory mimetypes/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory places/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory stock/24 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory actions/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory animations/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory apps/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory categories/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory devices/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory emblems/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory mimetypes/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory places/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory status/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory stock/32 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory actions/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory animations/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory apps/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory categories/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory devices/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory emblems/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory mimetypes/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory places/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory status/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory stock/48 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory actions/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory animations/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory apps/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory categories/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory devices/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory emblems/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory mimetypes/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory places/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory status/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory stock/64 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory actions/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory animations/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory apps/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory categories/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory devices/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory emblems/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory mimetypes/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory places/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory status/96 of theme malys-uniblue has no size field


(system-config-printer.py:4553): Gtk-WARNING **: Theme directory stock/96 of theme malys-uniblue has no size field

Unknown value for media-col: (unknown IPP value tag 0x34)
Choices: [u'media-bottom-margin', u'media-left-margin', u'media-right-margin', u'media-size', u'media-source', u'media-top-margin', u'media-type']
Selecting from choices: media-bottom-margin
Unknown value for media-col: (unknown IPP value tag 0x34)
Choices: [u'media-bottom-margin', u'media-left-margin', u'media-right-margin', u'media-size', u'media-source', u'media-top-margin', u'media-type']
Selecting from choices: media-bottom-margin

Baştan sona çıkan tüm kodlar bunlar.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 20 Mart 2014, 20:09:27
Tekrardan hortlatıyorum ama, hiç mi yoktur çaresi bunun? Windows'u sırf bunun yüzünden kullanmak zorunda kalıyorum. Mint'te yazıp kaydedip, restart edip Windows'tan çıktı alıyorum  :'(
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 23 Kasım 2014, 12:42:35
Veeeeee mutlu sooooon  ;D ;D ;D

http://random0musings.blogspot.com.tr/2014/06/ubuntu-1404-and-canon-lbp6020b-laser.html (http://random0musings.blogspot.com.tr/2014/06/ubuntu-1404-and-canon-lbp6020b-laser.html) şuradaki arkadaşın sayesinde yazıcım çalıştıııııı :D :D :D Çok mutluyum ey linux mint cemaati :D Herkese benden çaaaay :D Artık o windoz bozuntusuna mahkum değiliiiiim :D
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 23 Kasım 2014, 12:58:40
Bir daha büyük konuşmayacağım. Şimdi üstadlar, ben bu yazıcıdan çıktı almayı başardım. Daha sonra yazıcıyı kapatıp açtım. Bu sefer çıktı alamadım. BU linkteki şeyleri tekrar uyguladım ama en sonuncu kodda şöyle bir hata verdi bana.
Kod: [Seç]
sudo update-rc.d ccpd defaults
update-rc.d: warning: /etc/init.d/ccpd missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
 System start/stop links for /etc/init.d/ccpd already exist.

Bir kere çalıştıysa, tekrar çalışır değil mi ? :)
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 23 Kasım 2014, 15:12:40
Sistem 64 bit ise burada (http://askubuntu.com/questions/463289/cant-get-my-canon-lbp-printer-to-run-under-ubuntu-14-04) önerilen 32 bit uyumluluk paketlerini de kurmayı denediniz mi?

Kod: [Seç]
sudo apt-get install libstdc++6:i386 libxml2:i386 zlib1g:i386 libpopt0:i386
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 23 Kasım 2014, 15:15:35
Kurmuştum daha önce bunları. Zaten şimdi de hepsi yüklü dedi. O linkteki yaptıklarımı geri döndürmenin bir yolu var mı? Okuduğum bir yerden anladığım kadarıyla "ccpd" sistemde çalışırken ben yazıcıyı düğmesinden kapatıp açtım. Bu yüzden olduğunu düşünüyorum.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Butterfly - 23 Kasım 2014, 15:24:08
Buradaki (http://www.canon-europe.com/Support/Consumer_Products/products/printers/Laser/i-SENSYS_LBP6020.aspx?DLtcmuri=tcm:13-1060371&page=1&type=download) sürücünün bulunduğu bağlantıda bir de Auto Shutdown Tool adında bir araç var, bunu kullanmayı denediniz mi?
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Danny - 23 Kasım 2014, 15:40:04
Kod: [Seç]
/etc/init.d/ccpd restart

dedikten sonra tekrar çıktı almayı deneyin.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 23 Kasım 2014, 15:45:08
Kod: [Seç]
bash: /etc/init.d/ccpd: Böyle bir dosya ya da dizin yok

Böyle bir dizin yok dedi.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: SQSoft - 02 Mayıs 2017, 10:12:14
Konuyu çözebilen yok varsa da yazmamış. Konu hala güncel ve adam akıllı bir çözüm üreten bi çözebilen çıkmıyor. Bende konuyu hortlatıyorum. Tekrar çalıştırmak için tek çare
Kod: [Seç]
sudo service ccpd stop
sudo service ccpd start
sudo service cups restart
kodlarını kullanmak. Bunu bir başlangıç betiği haline getirirseniz çalışması gerekiyor.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: Fitilli Daniyal - 03 Mayıs 2017, 20:45:29
Uzun zamandır Linux'tan uzağım fakat hatırladığım kadarıyla her seferinde
Kod: [Seç]
sudo service ccpd start   komutunu veriyordum yazdırıyordu. Her çıktıda böyleydi.
Başlık: Ynt: CANON LBP6020 Yazıcı Sorunu!
Gönderen: ramazan45 - 05 Temmuz 2017, 18:27:06
Önce aşağıdaki komut ile kurduğunuz paketleri kaldırınız.

Kod: [Seç]
dpkg -r cndrvcups*
Aşağıdaki komut ile kaldırıldığından emin olunuz.

Kod: [Seç]
dpkg -l | grep cndrvcups
Aşağıdaki komutları sırasıyla uçbirimde çalıştırırak /usr/lib ve /usr/local/lib dizinleri için sembolik bağlantılar oluşturalım.

Kod: [Seç]
sudo ln -s /usr/lib /usr/lib64
sudo ln -s /usr/local/lib /usr/local/lib64

Sonra aşağıdaki komut ile libjpeg62 paketinin 32 bit sürümünü kurunuz.

Kod: [Seç]
sudo apt-get install libjpeg62:i386
Şimdi kaldırdığınız paketleri tekrar kurup bir önceki mesaj yazanları deneyiniz.


Kaynak (http://ubuntuforums.org/showthread.php?t=1427330&page=10&p=12089554#post12089554)

Bu mesajda dediklerinizi ve bir önceki mesajda dediklerinizi aynen uyguladım ve lbp6020 yazıcı 32 bit sistemde sıkıntısız çalıştı. Tesekkürler.
Ancak her defasında yazıcıyı usb ye takıp çıkardığımda yazıcı yapılandırılıyor deyip yeni bir yazıcı olarak yazıcılar listesine 1,2,3, diye numaralandırarak ekliyor bunu yapmamasını sağlayabilirsek çok iyi olur. Yazıcı çalışıyor sıkıntı yok